package com.engine.jygf.web;

import com.alibaba.fastjson.JSONObject;
import com.engine.common.util.ParamUtil;
import com.engine.common.util.ServiceUtil;
import com.engine.jygf.service.MobilePermissionsService;
import com.engine.jygf.service.impl.MobilePermissionsServiceImpl;
import weaver.hrm.HrmUserVarify;
import weaver.hrm.User;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.ws.rs.GET;
import javax.ws.rs.Path;
import javax.ws.rs.Produces;
import javax.ws.rs.core.Context;
import javax.ws.rs.core.MediaType;
import java.util.HashMap;
import java.util.Map;

/**
 * @Author weaver_cl
 * @Description:
 * @Date 2022/10/9
 * @Version V1.0
 **/
public class MobilePermissionsAction {

    public MobilePermissionsService getMobilePermissionsService(User user) {
        return ServiceUtil.getService(MobilePermissionsServiceImpl.class,user);
    }

    /**
     * 晶优光伏 移动电话通过建模控制权限 通讯录显示
     * @param request
     * @param response
     * @return
     */
    @GET
    @Path("/controller")
    @Produces(MediaType.APPLICATION_JSON)
    public String getPermissionInfo(@Context HttpServletRequest request, @Context HttpServletResponse response) {
        Map<String, Object> apidatas = new HashMap<>();
        try {
            User user = HrmUserVarify.getUser(request, response);
            //实例化Service 并调用业务类处理
            apidatas = getMobilePermissionsService(user).getPermissionInfo(ParamUtil.request2Map(request), user);
        } catch (Exception e) {
            //异常处理
            apidatas.put("api_status", false);
        }
        return JSONObject.toJSONString(apidatas);
    }



}
